package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.User;
import com.realnet.vpspack.Services.UserService ;


















@RequestMapping(value = "/User")
 @CrossOrigin("*") 
@RestController
public class UserController {
	@Autowired
	private UserService Service;

@Value("${projectPath}")
	private String projectPath;
 


















	@PostMapping("/User")
		  public User Savedata(@RequestBody User data) {
		User save = Service.Savedata(data)	;

















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/User/{id}")
	public  User update(@RequestBody User data,@PathVariable Integer id ) {
		User update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/User/getall/page")
	public Page<User> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<User> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/User")
	public List<User> getdetails() {
		 List<User> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/User")
	public List<User> getallwioutsec() {
		 List<User> get = Service.getdetails();		
		return get;
}
@GetMapping("/User/{id}")
	public  User  getdetailsbyId(@PathVariable Integer id ) {
		User  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/User/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



















}